package com.yunniu.farming.webadmin.dao;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yunniu.farming.webadmin.model.Accountalterrec;

import java.util.List;

public interface AccountalterrecDao  extends BaseMapper<Accountalterrec> {
	/**
     * 根据id  删除一个
     * @param id
     * @return
     */
    int deleteByPrimaryKey(Integer id);


    /**
     * 插入一条数据   更新所有不为空的字段
     * @param id
     * @return
     */
    int insertSelective(Accountalterrec record);

    /**
     * 根据id  查询一个
     * @param id
     * @return
     */
    Accountalterrec selectByPrimaryKey(Integer id);

	/**
	 * 更新一条数据   更新所有不为空的字段
	 * @param id
	 * @return
	 */
    int updateByPrimaryKeySelective(Accountalterrec record);


    /**
     * 多条件分页查询
     * @param record
     * @return
     */
    List<Accountalterrec> selectByParamPageList(Accountalterrec record);

    /**
     * 常规查询 不带分页
     * @param doc
     * @return
     */
    List<Accountalterrec> selectByParam(Accountalterrec doc);


    /**
     * 查询用户余额
     * @param doc
     * @return
     */
    Accountalterrec selectBalanceByid(Accountalterrec doc);

    Double countShouYi(Accountalterrec accountalterrec);

    Double countTeamJt(Accountalterrec accountalterrec);

    Double countManageJt(Accountalterrec accountalterrec);
}
